package com.sv.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 公告
 *
 * @author lihong
 * @since 2018-08-06
 */
public class Announcement implements Serializable {


    /**
     *
     */
    private Integer id;

    /**
     * 公告
     */
    private String title;

    /**
     * 公告介绍
     */
    private String description;

    /**
     * 时间
     */
    private Date time;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;

    /**
     * 短文介绍
     */
    private String content;

    /**
     * 图片
     */
    private String image;

    /**
     * 标签
     */
    private String tag;


    /**
     * 设置
     *
     * @param id
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置公告
     *
     * @param title 公告
     */
    public void setTitle(String title){
        this.title = title;
    }

    /**
     * 获取公告
     *
     * @return 公告
     */
    public String getTitle(){
        return title;
    }


    /**
     * 设置公告介绍
     *
     * @param description 公告介绍
     */
    public void setDescription(String description){
        this.description = description;
    }

    /**
     * 获取公告介绍
     *
     * @return 公告介绍
     */
    public String getDescription(){
        return description;
    }


    /**
     * 设置时间
     *
     * @param time 时间
     */
    public void setTime(Date time){
        this.time = time;
    }

    /**
     * 获取时间
     *
     * @return 时间
     */
    public Date getTime(){
        return time;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }
}